# Type

Create a tree containing type inference data

## Calling Sequence

    tp=Type(vtype,property)

## Arguments

vtype

  data type (see m2scideclare)

property

  property of data (see m2scideclare)

tp

  a "type" tlist

## Description

This function create a `tlist` representing type inference data when using M2SCI. All input parameters values are verified to be compatible with "M2SCI tlists". (Unknown=-1 in M2SCI)

## See Also

- Funcall
- Operation
- Variable
- Cste
- Infer
- Contents
- Equal
- m2scideclare